# Model Optimizations & Fixes

Optimize some models to get a little more fps and fix lots of bugs.

**There is also a "lite" version of this pack, which removes some features that may affect gameplay.** ("\*" means it will not in the lite version)

- Version: 4.7
- Game versions: 1.19.4 - 1.20.4 - (1.20.5)
- Project Links:
  - [Modrinth](https://modrinth.com/resourcepack/model-optimizations-and-fixes)
  - [Github](https://github.com/Minecrafthyr/model_optis_and_fixes)
  - [Lite version in Github](https://github.com/Minecrafthyr/model_optis_and_fixes/tree/lite)

## Dependencies

### Optional

- \*[Respackopts](https://modrinth.com/mod/respackopts) mod for config this resource pack

## Feature list

### Optimizations

Blocks

- Anvil
- Beacon
- Bell
- Cauldron
- Composter
- Fences
- Fence Gates
- Hopper
- Item Frames
- Lighting Rod
- Stairs in [MC-262461](https://bugs.mojang.com/browse/MC-262461)

### Fixes

Blocks

- Lever in [MC-141291](https://bugs.mojang.com/browse/MC-141291), [MC-262864](https://bugs.mojang.com/browse/MC-262864), [MC-262865](https://bugs.mojang.com/browse/MC-262865)
- Brewing Stand in [MC-262410](https://bugs.mojang.com/browse/MC-262410)
- Spore Blossom from [MC-224195](https://bugs.mojang.com/browse/MC-224195)
- Scaffolding from [MC-209947](https://bugs.mojang.com/browse/MC-209947)
- Dripleaf in [MC-221851](https://bugs.mojang.com/browse/MC-221851)
- Sunflower from [MC-122701](https://bugs.mojang.com/browse/MC-122701) (also fix [MC-201760](https://bugs.mojang.com/browse/MC-201760), [MC-90566](https://bugs.mojang.com/browse/MC-90566))
- Iron Bars in [MC-192420](https://bugs.mojang.com/browse/MC-192420) and some visual improvements
- Tripwire from [MC-262600](https://bugs.mojang.com/browse/MC-262600)
- Sculk Sensors uv fix
- Spawner in [MC-266463](https://bugs.mojang.com/browse/MC-266463)
- Glow Lichen in [MC-249079](https://bugs.mojang.com/browse/MC-249079)
- Tripwire and Tripwire Hook from [MC-262546](https://bugs.mojang.com/browse/MC-262546). (modified)
- Dragon Egg in [MC-262652](https://bugs.mojang.com/browse/MC-262652)
- \*Repeater and Comparator in [MC-177452](https://bugs.mojang.com/browse/MC-177452), [MC-177453](https://bugs.mojang.com/browse/MC-177453), also fix [MC-214662](https://bugs.mojang.com/browse/MC-214662), [MC-129108](https://bugs.mojang.com/browse/MC-129108) for Redstone Torch.
- \*More blocks random rotate

Items

- Handheld Arrow from [MC-201808](https://bugs.mojang.com/browse/MC-201808)
- \*Left hand rotate in [MC-160810](https://bugs.mojang.com/browse/MC-160810)

### Optimizations and Fixes

Blocks

- Flower Pot in [MC-129826](https://bugs.mojang.com/browse/MC-129826)
- Spore Blossom
- \*Sculk Vein and Glow Lichen
- \*Redstone Dust

### Improvements

Blocks

- \*Shadeless End Rod, Lantern, Stonecutter saw.

Items

- 3D Hopper, Cauldron, Comparator, Repeater.
- \*Chorus Plant, Conduit improvements.
- \*End Rod matches Torch-style.
- \*Thin block display on the head.
- \*Hopper, Cauldron display upside down on the head.
- \*block is a bit bigger in item frame.
- \*3D Candles, Torches, Lanterns, Lever.

## Credits

- [mintynoura's 3D Redstone Items](https://modrinth.com/resourcepack/3d-redstone-items-mintynoura) by [mintynoura](https://modrinth.com/user/mintynoura)


_"from" means it is not my code. From version 4.0, this project is under Unlicense._
